import { get, post } from '@/http/index'

// 查询菜单列表
export const getAllMenuList = async (query) => {
  return await get('/system/menu/AllList', query)
}

// 查询菜单列表
export const getAllRoleList = async (query) => {
  return await get('/system/role/list', query)
}

//根据菜单id获取有权限的角色列表
export const getRoleListByMenuId = async (formData) => {
  return await post('/system/role/' + formData)
}

//分配角色确认
export const addRowMenu = async (formData) => {
  return await post('/system/menu/addRowMenu', formData)
}

export const deleteRoleMenu = async (formData) => {
  return await post('/system/menu/deleteRoleMenu', formData)
}
